#
# Conditional build:
%bcond_without	verify	# don't verify database

Summary:	Wireless regulatory database for Linux drivers
Summary(pl.UTF-8):	Baza danych przepisów dotyczących sieci bezprzewodowych dla sterowników linuksowych
Name:		wireless-regdb
Version:	2013.11.27
Release:	1
License:	ISC
Group:		Networking/Daemons
Source0:	https://www.kernel.org/pub/software/network/wireless-regdb/%{name}-%{version}.tar.xz
# Source0-md5:	5d00474713f4d3d287b0ca19860a83e8
URL:		http://wireless.kernel.org/en/developers/Regulatory
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%{?with_verify:BuildRequires:	crda}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	/lib

%description
This package contains the wireless regulatory database used by all
cfg80211 based Linux wireless drivers.

%description -l pl.UTF-8
Ten pakiet zawiera bazę danych przepisów dotyczących częstotliwości
dopuszczonych dla sieci bezprzewodowych, wykorzystywaną przez
wszystkie linuksowe sterowniki bezprzewodowe oparte na cfg80211.

%prep
%setup -q

%build
%if %{with verify}
PATH=/sbin:$PATH \
regdbdump regulatory.bin > dump.txt
test -s dump.txt
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/crda,%{_mandir}/man5}
cp -p regulatory.bin $RPM_BUILD_ROOT%{_datadir}/crda/regulatory.bin
cp -p regulatory.bin.5 $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%{_datadir}/crda
%{_mandir}/man5/regulatory.bin.5*
%changelog
* Sun Dec 01 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wireless-regdb.git;a=log;h=master

* Sun Dec 01 2013 Jakub Bogusz <qboosh@pld-linux.org> e13340d
- updated to 2013.11.27

* Sun Oct 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 4b1c811
- updated to 2013.10.11

* Mon Mar 04 2013 Elan Ruusamäe <glen@delfi.ee> 67e66e6
- regdbdump is in /sbin

* Mon Mar 04 2013 Elan Ruusamäe <glen@delfi.ee> dfe6ad6
- do regulatory.bin verification in wireless-regdb

* Mon Mar 04 2013 Elan Ruusamäe <glen@delfi.ee> 5af9c79
- up to 2013.02.13

* Sat Jan 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 33c06cb
- updated to 2013.01.11

* Wed Nov 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 6852c94
- pl

* Sat Oct 01 2011 arvenil <arvenil@pld-linux.org> 8407ce7
- up to 2011.04.28
- updated url

* Sun Mar 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a12eee
- up to 2010.11.24

* Tue Nov 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cea95a
- up to 2010.11.22

* Sun May 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f0d3f7
- up to 209.11.25

* Tue Mar 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c403b6
- add man page

* Tue Mar 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 8cd32bd
- initial

